summaryrefslogtreecommitdiffstats
path: root/debian/orig-tar.sh
diff options
context:
space:
mode:
Diffstat (limited to 'debian/orig-tar.sh')
-rw-r--r--debian/orig-tar.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/debian/orig-tar.sh b/debian/orig-tar.sh
new file mode 100644
index 0000000..04b2904
--- /dev/null
+++ b/debian/orig-tar.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+SVNROOT=$1
+VERSION=$2
+REVISION=`svn info ${SVNROOT} | grep "Last Changed Rev:" | cut -d' ' -f4`
+
+DIR=kbuild-${REVISION}
+TAR=../kbuild_${VERSION}.orig.tar.gz
+
+svn co -r ${REVISION} ${SVNROOT} ${DIR}
+tar -c -z --exclude '*/src/kWorker/tests-gpl2/*' --exclude '*/kBuild/bin*' --exclude '*/out/*' --exclude '*/.svn*' --exclude '*/src/kmk/doc/make.texi' -f ${TAR} ${DIR}
+rm -rf ${DIR}
+
+# move to directory 'tarballs'
+if [ -r .svn/deb-layout ]; then
+ . .svn/deb-layout
+ mv ${TAR} ${origDir}
+ echo "moved ${TAR} to ${origDir}"
+fi
+
+echo "Done, now you can run \ngbp import-orig ${TAR}"